use sqlx::PgPool;

pub trait Token {
    fn delete(&self, pool: &PgPool) -> impl Future<Output = Result<(), sqlx::Error>>;
}

pub struct NoneToken {}
impl Token for NoneToken {
    async fn delete(&self, _pool: &PgPool) -> Result<(), sqlx::Error> {
        unimplemented!()
    }
}
